# libtraceevent(3) Manual Page

## NAME

tep_print_printk, tep_print_funcs, tep_set_test_filters, tep_plugin_print_options - Print libtraceevent internal information.

## SYNOPSIS

    #include <event-parse.h>
    #include <trace-seq.h>

    void tep_print_printk(struct tep_handle *tep);
    void tep_print_funcs(struct tep_handle *tep);
    void tep_set_test_filters(struct tep_handle *tep, int test_filters);
    void tep_plugin_print_options(struct trace_seq *s);

## DESCRIPTION

The tep_print_printk() function prints the printk string formats that were stored for this tracing session. The tep argument is trace event parser context.

The tep_print_funcs() function prints the stored function name to address mapping for this tracing session. The tep argument is trace event parser context.

The tep_set_test_filters() function sets a flag to test a filter string. If this flag is set, when tep_filter_add_filter_str() API as called, it will print the filter string instead of adding it. The tep argument is trace event parser context. The test_filters argument is the test flag that will be set.

The tep_plugin_print_options() function writes a list of the registered plugin options into s.

## EXAMPLE

## FILES

    event-parse.h
            Header file to include in order to have access to the library APIs.
    -ltraceevent
            Linker switch to add when building a program that uses the library.

## SEE ALSO

libtraceevent(3), trace-cmd(1)

## AUTHOR

    Steven Rostedt <rostedt@goodmis.org>, author of libtraceevent.
    Tzvetomir Stoyanov <tz.stoyanov@gmail.com>, author of this man page.

## REPORTING BUGS

Report bugs to <linux-trace-devel@vger.kernel.org>

## LICENSE

libtraceevent is Free Software licensed under the GNU LGPL 2.1

## RESOURCES

https://git.kernel.org/pub/scm/libs/libtrace/libtraceevent.git/